# OpenLayers.Format.Filter.v1_1_0

Write ogc:Filter version 1.1.0.

#### Differences from the v1.0.0 parser

- uses GML v3 instead of GML v2
- reads matchCase attribute on ogc:PropertyIsEqual and ogc:PropertyIsNotEqual elements.
- writes matchCase attribute from comparison filters of type EQUAL_TO, NOT_EQUAL_TO and LIKE.

#### Inherits from

- OpenLayers.Format.Filter.v1

Summary

OpenLayers.Format.Filter.v1_1_0 | Write ogc:Filter version 1.1.0.
Constants |
VERSION | {String} 1.1.0
Properties |
schemaLocation | {String} http://www.opengis.net/ogc/filter/1.1.0/filter.xsd
Constructor |
OpenLayers.Format.Filter.v1_1_0 | Instances of this class are not created directly.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.
Functions |
writeSpatial | Read a {OpenLayers.Filter.Spatial} filter and converts it into XML.

### Constants

### VERSION

{String} 1.1.0

### Properties

### schemaLocation

{String} http://www.opengis.net/ogc/filter/1.1.0/filter.xsd

### Constructor

### OpenLayers.Format.Filter.v1_1_0

Instances of this class are not created directly. Use the OpenLayers.Format.Filter constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Functions

### writeSpatial

> writeSpatial: function( | filter,
> | name | )

Read a {OpenLayers.Filter.Spatial} filter and converts it into XML.

#### Parameters

filter | {OpenLayers.Filter.Spatial} The filter.
name | {String} Name of the generated XML element.

#### Returns

{DOMElement} The created XML element.

> writeSpatial: function( | filter,
> | name | )

Read a {OpenLayers.Filter.Spatial} filter and converts it into XML.
This class represents a spatial filter.
Superclass for Filter version 1 parsers.
Read/Wite ogc:Filter.
Close